data:extend(
{  
	
	-- Solid Fuel Engine		
	{
		type = "assembling-machine",
		name = "y-sfe",
		icon = "__yi_engines__/graphics/entity/energy2/1_sfe_icon.png",
		flags = {"placeable-neutral","placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-sfe"},
		max_health = 250,
		corpse = "big-remnants",
		resistances = {{type = "physical",percent = 60},},
		fluid_boxes =
		{
			{
				production_type = "output",
				base_area = 60,
				base_level = 2,
				pipe_connections = {
					{type="output", position = {0, 3}},					
					{type="output", position = {0, -3}},		
				}
			},					
			{
				production_type = "input",
				base_area = 20,
				base_level = -1,
				pipe_connections = {					
					{ type="input", position = {-2, 1}}
				}
			},
			{
				production_type = "input",
				base_area = 20,
				base_level = -1,
				pipe_connections = {
					{ type="input", position = { 2, 1}},					
				}
			},			
		},
		collision_box = {{-1.2, -2.2}, {1.2, 2.2}},
		selection_box = {{-1.5, -2.5}, {1.5, 2.5}},
		fast_replaceable_group = "assembling-machine",
		picture =
		{
			filename = "__yi_engines__/graphics/entity/energy2/sfe-v.png",			
			width = 96,
			height = 150,
			shift = {0.0, 0.0}
		},		
		animation =
		{
			filename = "__yi_engines__/graphics/entity/energy2/sfe-v.png",			
			width = 96,
			height = 150,
			shift = {0.0, 0.0},
			frame_count = 1,
			line_length = 1,			
		},		
		crafting_categories = {"yrcat-eg1"},
		crafting_speed = 1,
		energy_source =
		{		
		type = "burner",
			effectivity = 0.85,
			fuel_inventory_size = 1,
			emissions = 0.05,
			smoke =
			{
				{
					name = "smoke",
					deviation = {0.65, -0.2},
					frequency = 1
				}
			}
		},
		energy_usage = "3000kW",						
		ingredient_count = 3,
		module_slots = 2,
		allowed_effects = {"speed", "productivity", "pollution"},
		order="a[atomics]",
		subgroup = "ys-test",
	},	
	
	{
		type = "assembling-machine",
		name = "y-ffe",
		icon = "__yi_engines__/graphics/entity/energy2/2_ffe_icon.png",
		flags = {"placeable-neutral","placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-ffe"},
		max_health = 250,
		corpse = "big-remnants",
		resistances = {{type = "physical",percent = 60},},
		fluid_boxes =
		{
			{
				production_type = "output",
				base_area = 75,
				base_level = 2,
				pipe_connections = {
					{type="output", position = {0, 3}},																	
					{type="output", position = {0, -3}},		
				}
			},					
			{
				production_type = "input",
				base_area = 30,
				base_level = -1,
				pipe_connections = {
					{ type="input", position = { -2, 1}},					
				}
			},
			{
				production_type = "input",
				base_area = 30,
				base_level = -1,
				pipe_connections = {
					{ type="input", position = { 2, 1}},					
				}
			},
			{
				production_type = "input",
				base_area = 30,
				base_level = -1,
				pipe_connections = {
					{ type="input", position = { 2, -1}},					
				}
			},			
		},
		collision_box = {{-1.2, -2.2}, {1.2, 2.2}},
		selection_box = {{-1.5, -2.5}, {1.5, 2.5}},
		fast_replaceable_group = "assembling-machine",
		picture =
		{
			filename = "__yi_engines__/graphics/entity/energy2/ffe-v.png",			
			width = 96,
			height = 150,
			shift = {0.0, 0.0},
		},
		animation =
		{
			filename = "__yi_engines__/graphics/entity/energy2/ffe-v.png",			
			width = 96,
			height = 150,
			shift = {0.0, 0.0},
			frame_count = 1,
			line_length = 1,
		},
		crafting_categories = {"yrcat-eg2"},
		crafting_speed = 1,
		energy_source = {		
			type = "electric",
			usage_priority = "primary-input",
			emissions = 0.00025, 
		},
		energy_usage = "100kW",						
		ingredient_count = 3,
		module_slots = 2,
		allowed_effects = {"speed", "productivity", "pollution"},
		order="a[atomics]",		
		subgroup = "ys-test",
	},		
	
	-- Hydraulic Fuel Engine		
	{
		type = "assembling-machine",
		name = "y-hfe",
		icon = "__yi_engines__/graphics/entity/energy2/3_hfe_icon.png",
		flags = {"placeable-neutral","placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-hfe"},
		max_health = 250,
		corpse = "big-remnants",
		resistances = {{type = "physical",percent = 60},},
		fluid_boxes =
		{
			{
				production_type = "output",
				base_area = 80,
				base_level = 2,
				pipe_connections = {
					{type="output", position = {0, 3}},	
					{type="output", position = {0, -3}},							
				}
			},					
			{
				production_type = "input",
				base_area = 30,
				base_level = -1,
				pipe_connections = {
					{ type="input", position = { -2, 1}}
				}
			},
			{
				production_type = "input",
				base_area = 30,
				base_level = -1,
				pipe_connections = {
					{ type="input", position = {  2, 1}},
				}
			},
			{
				production_type = "input",
				base_area = 30,
				base_level = -1,
				pipe_connections = {
					{ type="input", position = {  2, -1}},
				}
			},
		},
		collision_box = {{-1.2, -2.2}, {1.2, 2.2}},
		selection_box = {{-1.5, -2.5}, {1.5, 2.5}},
		fast_replaceable_group = "assembling-machine",
		picture =
		{
			filename = "__yi_engines__/graphics/entity/energy2/hfe-v.png",			
			width = 96,
			height = 150,
			shift = {0.0, 0.0}
		},
		animation =
		{
			filename = "__yi_engines__/graphics/entity/energy2/hfe-v.png",			
			width = 96,
			height = 150,
			shift = {0.0, 0.0},
			frame_count = 1,
			line_length = 1,
		},
		crafting_categories = {"yrcat-eg3"},
		crafting_speed = 1,
		energy_source = {		
			type = "electric",
			usage_priority = "primary-input",
			emissions = 0.00025, 
		},
		energy_usage = "200kW",						
		ingredient_count = 3,
		module_slots = 2,
		allowed_effects = {"speed", "productivity", "pollution"},
		order="a[atomics]",		
		subgroup = "ys-test",
	},	
		
})	
	